## python-mongoengine 0.10.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MongoEngine.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MongoEngine.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-mongoengine 0.4

=== debian/changelog ===
python-mongoengine (0.4-3) unstable; urgency=low

  * Team upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:49 +0200

python-mongoengine (0.4-2) unstable; urgency=low

  * Move tests to mongoengine module. (Closes: #620397)
  * Add debian/patches/fix-pymongo-1.10-compatibility
    - PyMongo changed map_reduce method in Collection class to require third
      parameter 'out' for output collection name. This patch is fixing this
      without breaking compatibility with earlier versions of PyMongo.

 -- Janos Guljas <janos@resenje.org>  Sat, 02 Apr 2011 17:48:34 +0200

python-mongoengine (0.4-1) unstable; urgency=low

  * Initial release. (Closes: #609850)

 -- Janos Guljas <janos@resenje.org>  Sun, 23 Jan 2011 23:19:39 +0100

=== debian/control ===
Source: python-mongoengine
Section: python
Priority: optional
Maintainer: Janos Guljas <janos@resenje.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50), python-all (>= 2.5), python-setuptools,
 python-sphinx, python-gridfs, python-pymongo (>= 1.1)
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Homepage: http://mongoengine.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-mongoengine/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-mongoengine/trunk/

Package: python-mongoengine
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gridfs, python-pymongo (>= 1.1)
Recommends: python-django
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: A Python Document-Object Mapper for working with MongoDB
 MongoEngine is a Document-Object Mapper (think ORM, but for document
 databases) for working with MongoDB from Python. It uses a simple declarative
 API, similar to the Django ORM.

Package: python-mongoengine-doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Section: doc
Description: A Python Document-Object Mapper for working with MongoDB (documentation)
 MongoEngine is a Document-Object Mapper (think ORM, but for document
 databases) for working with MongoDB from Python. It uses a simple declarative
 API, similar to the Django ORM.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

PREFIX = /usr

%:
	dh $@ --with python2

override_dh_auto_build:
	mv tests mongoengine
	dh_auto_build
	cp -r docs docs.debian
	make -C docs.debian html
	rm -rf docs.debian/_build/html/_sources/

override_dh_installdocs:
	cp docs/changelog.rst changelog
	dh_installdocs
	(cd debian/python-mongoengine-doc$(PREFIX)/share/doc/python-mongoengine-doc/html/_static \
		&& rm jquery.js \
		&& ln -s ../../../../javascript/jquery/jquery.js .)

override_dh_auto_clean:
	rm -rf docs.debian changelog
	dh_auto_clean

## python-mongoengine 0.5.2

=== debian/changelog ===
python-mongoengine (0.5.2-1) unstable; urgency=low

  * New upstream release.
  * Add libjs-underscore dependency to python-mongoengine-doc binary package.
  * Add DM-Upload-Allowed control field.

 -- Janos Guljas <janos@resenje.org>  Fri, 18 Nov 2011 16:28:17 +0100

python-mongoengine (0.5-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.2.
  * Remove version from build dependencies python-all and python-pymongo.
  * Remove XS-Python-Version and XB-Python-Version.
  * Make package synopsis compliant with Debian Reference section 6.2.2.
  * Override dh_installchangelogs to install upstream changelog.
  * Remove debian/patches/fix-pymongo-1.10-compatibility.
  * Add debian/source/local-options.
  * Fix debian/copyright DEP5 errors.
  * Add debian/python-mongoengine-doc.links for jquery libraries.

 -- Janos Guljas <janos@resenje.org>  Tue, 13 Sep 2011 03:50:05 +0200

=== debian/control ===
Source: python-mongoengine
Section: python
Priority: optional
Maintainer: Janos Guljas <janos@resenje.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), python-all, python-setuptools,
 python-sphinx, python-gridfs, python-pymongo
Standards-Version: 3.9.2
Homepage: http://mongoengine.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-mongoengine/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-mongoengine/trunk/

Package: python-mongoengine
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gridfs, python-pymongo (>= 1.1)
Recommends: python-django
Provides: ${python:Provides}
Description: Python Document-Object Mapper for working with MongoDB
 MongoEngine is a Document-Object Mapper (think ORM, but for document
 databases) for working with MongoDB from Python. It uses a simple declarative
 API, similar to the Django ORM.

Package: python-mongoengine-doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Section: doc
Description: Python Document-Object Mapper for working with MongoDB (documentation)
 MongoEngine is a Document-Object Mapper (think ORM, but for document
 databases) for working with MongoDB from Python. It uses a simple declarative
 API, similar to the Django ORM.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

PREFIX = /usr

%:
	dh $@ --with python2

override_dh_auto_build:
	mv tests mongoengine
	dh_auto_build
	cp -r docs docs.debian
	make -C docs.debian html
	rm -rf docs.debian/_build/html/_sources/

override_dh_auto_clean:
	rm -rf docs.debian
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

=== debian/watch ===
version=3
http://githubredir.debian.net/github/hmarr/mongoengine /github/hmarr/mongoengine/v(.+).tar.gz

## python-mongoengine 0.6.1

=== debian/changelog ===
python-mongoengine (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Update version regular expression in debian/watch.
  * Bump standards to 3.9.3.
  * Update debian/copyright Format value. 

 -- Janos Guljas <janos@resenje.org>  Tue, 06 Mar 2012 18:42:52 +0100

=== debian/watch ===
version=3
http://githubredir.debian.net/github/hmarr/mongoengine /github/hmarr/mongoengine/v(\d[\.\d]+).tar.gz

## python-mongoengine 0.6.13

=== debian/changelog ===
python-mongoengine (0.6.13-2) unstable; urgency=low

  * Preserve _sources from html documentation to make sphinx search work.

 -- Janos Guljas <janos@resenje.org>  Wed, 27 Jun 2012 23:15:17 +0200

python-mongoengine (0.6.13-1) unstable; urgency=low

  * New upstream release.

 -- Janos Guljas <janos@resenje.org>  Sun, 24 Jun 2012 21:25:30 +0200

python-mongoengine (0.6.12-1) unstable; urgency=low

  * New upstream release.
  * debian/watch
    - Update source location.
  * debian/copyright
    - Update source location.

 -- Janos Guljas <janos@resenje.org>  Thu, 21 Jun 2012 18:59:24 +0200

python-mongoengine (0.6.8-1) unstable; urgency=low

  * New upstream release.
  * debian/source/options
    - Ignore mongoengine.egg-info changes after build. (Closes: #671422)
  * debian/rules
    - Remove unused variable PREFIX.
    - Remove relocation of 'tests' directory.
  * Add exclude-tests-from-packaging.patch to exclude 'tests' from packaging
    it in global namespace.

 -- Janos Guljas <janos@resenje.org>  Wed, 16 May 2012 19:40:07 +0200

python-mongoengine (0.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Janos Guljas <janos@resenje.org>  Sun, 22 Apr 2012 23:02:56 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50), python-all, python-setuptools,
  python-sphinx, python-gridfs, python-pymongo
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://mongoengine.org/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-mongoengine/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-mongoengine/trunk/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	cp -r docs docs.debian
	make -C docs.debian html

override_dh_auto_clean:
	rm -rf docs.debian
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

=== debian/watch ===
version=3
http://githubredir.debian.net/github/MongoEngine/mongoengine /github/MongoEngine/mongoengine/v(\d[\.\d]+).tar.gz

## python-mongoengine 0.10.6

=== debian/changelog ===
python-mongoengine (0.10.6-1) unstable; urgency=low

  * Team upload.
  * Svn to git migration.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Remove DM-Upload-Allowed; it's no longer used by the archive
    software.

  [ Orestis Ioannou ]
  * New upstream release (Closes: #738503, #789980).
  * Use pybuild to build package.
  * Provide Python 3 package.
  * Move compat version to 9.
  * Pump up standards version to 3.9.7. Nothing to change.
  * Run wrap-and-sort.
  * Add dependencies for running tests.
  * Use pypi.debian.net for d/watch.
  * Added a patch to use libjs-modernizr instead of downloading from cdn.
  * Switch Vcs-git field to https.

 -- Orestis Ioannou <orestis@oioannou.com>  Wed, 09 Mar 2016 01:39:25 +0100

=== debian/control ===
Source: python-mongoengine
Section: python
Priority: optional
Maintainer: Janos Guljas <janos@resenje.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-blinker,
 python-coverage,
 python-dateutil,
 python-gridfs,
 python-nose,
 python-pillow,
 python-pymongo,
 python-rednose,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-blinker,
 python3-coverage,
 python3-dateutil,
 python3-gridfs,
 python3-nose,
 python3-pillow,
 python3-pymongo,
 python3-rednose,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 3.9.7
Homepage: http://mongoengine.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-mongoengine.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-mongoengine.git

Package: python-mongoengine
Architecture: all
Depends:
 python-gridfs,
 python-pymongo (>= 1.1),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-django,
Provides:
 ${python:Provides},
Description: Python Document-Object Mapper for working with MongoDB
 MongoEngine is a Document-Object Mapper (think ORM, but for document
 databases) for working with MongoDB from Python. It uses a simple declarative
 API, similar to the Django ORM.
 .
 This is the Python 2 package.

Package: python3-mongoengine
Architecture: all
Depends:
 python3-gridfs,
 python3-pymongo (>= 2.7),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python3-django,
Provides:
 ${python:Provides},
Description: Python 3 Document-Object Mapper for working with MongoDB
 MongoEngine is a Document-Object Mapper (think ORM, but for document
 databases) for working with MongoDB from Python. It uses a simple declarative
 API, similar to the Django ORM.
 .
 This is the Python 3 package.

Package: python-mongoengine-doc
Architecture: all
Depends:
 libjs-jquery,
 libjs-underscore,
 libjs-modernizr,
 ${misc:Depends},
Section: doc
Description: Python Document-Object Mapper for working with MongoDB (documentation)
 MongoEngine is a Document-Object Mapper (think ORM, but for document
 databases) for working with MongoDB from Python. It uses a simple declarative
 API, similar to the Django ORM.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mongoengine

%:
	dh $@ --with sphinxdoc,python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	$(MAKE) -C docs html
	dh_auto_build

## python-mongoengine 0.15.3

=== debian/changelog ===
python-mongoengine (0.15.3-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Add ${sphinxdoc:Depends} to python-mongoengine-doc (Closes: #919845).
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 10 Aug 2019 11:32:37 +0500

python-mongoengine (0.15.3-1) unstable; urgency=medium

  * Team upload.

  [ Orestis Ioannou ]
  * Drop python-django from recommends since mongoengine no longer
  * supports django. A specific extension for django has been created.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout

  [ Christoph Berg ]
  * New upstream version. (Closes: #906402)
  * Remove sphinx javascript hacks.
  * Set PYTHONPATH while building docs.
  * Remove docs/_build/ on clean.
  * Depend on python3 in the python3 module. (Closes: #867442)
  * Set team as maintainer, thanks Janos!
    (We don't have a new uploader yet, leave #849736 open.)

 -- Christoph Berg <myon@debian.org>  Sat, 29 Sep 2018 16:35:09 +0200

=== debian/control ===
Source: python-mongoengine
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 python3-all,
 python3-blinker,
 python3-coverage,
 python3-dateutil,
 python3-gridfs,
 python3-nose,
 python3-pillow,
 python3-pymongo,
 python3-rednose,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 3.9.7
Homepage: http://mongoengine.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-mongoengine.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mongoengine

Package: python3-mongoengine
Architecture: all
Depends:
 python3-gridfs,
 python3-pymongo (>= 2.7),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: Python 3 Document-Object Mapper for working with MongoDB
 MongoEngine is a Document-Object Mapper (think ORM, but for document
 databases) for working with MongoDB from Python. It uses a simple declarative
 API, similar to the Django ORM.
 .
 This is the Python 3 package.

Package: python-mongoengine-doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Section: doc
Description: Python Document-Object Mapper for working with MongoDB (documentation)
 MongoEngine is a Document-Object Mapper (think ORM, but for document
 databases) for working with MongoDB from Python. It uses a simple declarative
 API, similar to the Django ORM.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mongoengine

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_build:
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
	dh_auto_build

## python-mongoengine 0.19.1

=== debian/changelog ===
python-mongoengine (0.19.1-1) unstable; urgency=medium

  * New upstream version 0.19.1
  * Update Standards-Version to 4.5.0
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Add 0001-Loosen-version-control-on-python3-pil.patch
  * Add autopkgtest

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Fri, 31 Jan 2020 10:35:36 +0100

python-mongoengine (0.19.0-1) unstable; urgency=medium

  * New upstream version 0.19.0
  * d/control
    - Add python3-dateutil and python3-pil to suggests
    - Add Rules-Requires-Root: no
  * Add CI in salsa

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Thu, 02 Jan 2020 11:30:49 +0100

python-mongoengine (0.18.2-1) unstable; urgency=medium

  * Team upload

  * New upstream version 0.18.2 Closes: 919456
  * Bump dh to 12
  * Update Standards-Version to 4.4.1
  * Remove entry for sphinx-rtd-theme in d/copyright
  * Disable tests since these is not supplied through PyPi
  * Delete d/pydist-overrides since this no longer applies.
  * Remove some build dependencies.
  * Add doc package as suggested in python3 package.
  * Add myself as uploader. Closes: 849736

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 09 Dec 2019 13:10:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,21 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 12),
  dh-python,
  python3-all,
  python3-blinker,
  python3-coverage,
- python3-dateutil,
  python3-gridfs,
- python3-nose,
  python3-pillow,
  python3-pymongo,
- python3-rednose,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 3.9.7
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://mongoengine.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-mongoengine.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mongoengine
@@ -26,11 +25,15 @@
 Architecture: all
 Depends:
  python3-gridfs,
- python3-pymongo (>= 2.7),
+ python3-pymongo (>= 3.4),
  ${misc:Depends},
  ${python3:Depends},
 Provides:
  ${python3:Provides},
+Suggests:
+ python-mongoengine-doc,
+ python3-dateutil (>= 2.1.0),
+ python3-pil (>= 2.0.0),
 Description: Python 3 Document-Object Mapper for working with MongoDB
  MongoEngine is a Document-Object Mapper (think ORM, but for document
  databases) for working with MongoDB from Python. It uses a simple declarative

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=mongoengine
+
+export PYBUILD_DISABLE=test
 
 %:
 	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cd "$AUTOPKGTEST_TMP"; python3 -c "import mongoengine; print(mongoengine)"
Depends: python3-mongoengine

Tests: mongo-test.py
Depends: python3-mongoengine

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/mongoengine/mongoengine-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-mongoengine 0.20.0

=== debian/changelog ===
python-mongoengine (0.20.0-1) unstable; urgency=medium

  * New upstream version 0.20.0
  * Bump debhelper to 13
  * Rebase patch
  * Add python3-blinker as suggested package
  * Fix Source URI in d/copyright

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 13 May 2020 09:18:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-blinker,
@@ -32,6 +32,7 @@
  ${python3:Provides},
 Suggests:
  python-mongoengine-doc,
+ python3-blinker (>= 1.3),
  python3-dateutil (>= 2.1.0),
  python3-pil (>= 2.0.0),
 Description: Python 3 Document-Object Mapper for working with MongoDB

## python-mongoengine 0.21.0

=== docs/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
-	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+	@echo "Build finished. Check $(BUILDDIR)/html/index.html"
 
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml

=== docs/requirements.txt ===
pymongo>=3.11
Sphinx==3.2.1
sphinx-rtd-theme==0.5.0

=== debian/changelog ===
python-mongoengine (0.21.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Håvard Flaget Aasen ]
  * New upstream version 0.21.0
  * d/watch:
    - Update to version 4
    - Use the new substitution string from uscan.
  * d/control:
    - Update Standards-Version to 4.5.1
    - Drop version restriction on suggested packages.
  * d/rules: Change target to "execute_after"
  * autopkgtest: Mark tests as superficial.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Thu, 24 Dec 2020 15:38:08 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-mongoengine
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
 Build-Depends:
  debhelper-compat (= 13),
@@ -15,11 +15,11 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://mongoengine.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-mongoengine.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mongoengine
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-mongoengine.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mongoengine
 
 Package: python3-mongoengine
 Architecture: all
@@ -32,9 +32,9 @@
  ${python3:Provides},
 Suggests:
  python-mongoengine-doc,
- python3-blinker (>= 1.3),
- python3-dateutil (>= 2.1.0),
- python3-pil (>= 2.0.0),
+ python3-blinker,
+ python3-dateutil,
+ python3-pil,
 Description: Python 3 Document-Object Mapper for working with MongoDB
  MongoEngine is a Document-Object Mapper (think ORM, but for document
  databases) for working with MongoDB from Python. It uses a simple declarative

## python-mongoengine 0.23.1

=== docs/Makefile ===
--- 
+++ 
@@ -34,6 +34,12 @@
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. Check $(BUILDDIR)/html/index.html"
+
+html-readthedocs:
+	$(SPHINXBUILD) -T -E -b readthedocs $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	@echo
+	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+
 
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml

=== docs/requirements.txt ===
Sphinx==3.3.0
sphinx-rtd-theme==0.5.0
readthedocs-sphinx-ext==2.1.1

=== debian/changelog ===
python-mongoengine (0.23.1-1) unstable; urgency=medium

  * New upstream version 0.23.1
  * Drop old patch, no longer needed.
  * Add patch to disable sphinx extension.
  * d/gbp.conf: Added new file.
  * d/control: Update Standards-Version to 4.6.0

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 11 Sep 2021 23:12:42 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://mongoengine.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mongoengine.git

=== debian/tests/control ===
Test-Command: cd "$AUTOPKGTEST_TMP"; python3 -c "import mongoengine; print(mongoengine)"
Depends: python3-mongoengine
Restrictions: superficial

Tests: mongo-test.py
Depends: python3-mongoengine
Restrictions: superficial

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/mongoengine/mongoengine-@ANY_VERSION@@ARCHIVE_EXT@

## python-mongoengine 0.24.2

=== docs/Makefile ===
--- 
+++ 
@@ -26,6 +26,9 @@
 	@echo "  changes   to make an overview of all changed/added/deprecated items"
 	@echo "  linkcheck to check all external links for integrity"
 	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"
+
+install-deps:
+	-pip install -r requirements.txt
 
 clean:
 	-rm -rf $(BUILDDIR)/*

=== docs/requirements.txt ===
Sphinx==3.3.0
sphinx-rtd-theme==0.5.0
readthedocs-sphinx-ext==2.1.1
docutils==0.17.1
Jinja2<3.1

=== debian/changelog ===
python-mongoengine (0.24.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 01 Dec 2022 11:34:43 +0000

python-mongoengine (0.24.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-mongoengine-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Nov 2022 12:28:29 +0000

python-mongoengine (0.24.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + python3-mongoengine: Drop versioned constraint on python3-pymongo in
      Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 02:53:58 +0100

python-mongoengine (0.24.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop use of ${python3:Provides}
  * autopkgtest:
    - Replace superficial autopkgtest with autodep8 configuration.
    - Rewrite autopkgtest so we test for all supported versions.
  * Update maintainer name and email.
  * d/copyright: Include myself in Debian paragraph.
  * Update Standards-Version to 4.6.1

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sun, 07 Aug 2022 07:34:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Håvard Flaget Aasen <haavard_aasen@yahoo.no>
+Uploaders: Håvard F. Aasen <havard.f.aasen@pfft.no>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -15,21 +15,20 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://mongoengine.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mongoengine.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mongoengine
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-mongoengine
 Architecture: all
 Depends:
  python3-gridfs,
- python3-pymongo (>= 3.4),
+ python3-pymongo,
  ${misc:Depends},
  ${python3:Depends},
-Provides:
- ${python3:Provides},
 Suggests:
  python-mongoengine-doc,
  python3-blinker,
@@ -48,6 +47,7 @@
  ${sphinxdoc:Depends},
  ${misc:Depends},
 Section: doc
+Multi-Arch: foreign
 Description: Python Document-Object Mapper for working with MongoDB (documentation)
  MongoEngine is a Document-Object Mapper (think ORM, but for document
  databases) for working with MongoDB from Python. It uses a simple declarative

## python-mongoengine 0.27.0

=== debian/changelog ===
python-mongoengine (0.27.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.27.0.
  * Add patch file 0002-add-missing-doc-link to add
    missing reference link to documentation.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Ananthu C V <weepingclown@disroot.org>  Sat, 30 Dec 2023 15:59:12 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://mongoengine.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-mongoengine.git

=== debian/tests/control ===
Tests: test-mongoengine
Depends: python3-all,
         python3-mongoengine
Restrictions: superficial

## python-mongoengine 0.28.2

=== debian/changelog ===
python-mongoengine (0.28.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.28.2
  * Drop upstream merged patch

 -- Ananthu C V <weepingclown@disroot.org>  Tue, 12 Mar 2024 00:29:40 +0530

## python-mongoengine 0.29.1

=== docs/requirements.txt ===
Sphinx==7.4.7
sphinx-rtd-theme==2.1.0rc2
readthedocs-sphinx-ext==2.2.5
docutils==0.20.1
Jinja2==3.1.4

=== debian/changelog ===
python-mongoengine (0.29.1-1) unstable; urgency=high

  * Team upload
  * New upstream release
  * Fix autopkgtest
  * Require the new pymongo

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 15 Oct 2024 01:01:58 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-coverage,
  python3-gridfs,
  python3-pillow,
- python3-pymongo,
+ python3-pymongo  (>= 4.10.1-2),
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
@@ -26,7 +26,7 @@
 Architecture: all
 Depends:
  python3-gridfs,
- python3-pymongo,
+ python3-pymongo (>= 4.10.1-2),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,5 @@
 %:
 	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild
 
-override_dh_auto_build:
+execute_after_dh_auto_build:
 	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
-	dh_auto_build
